package sun.audio;

import java.util.Arrays;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.UnsupportedAudioFileException;
import java.io.IOException;
import javax.sound.sampled.AudioSystem;
import java.io.ByteArrayInputStream;
import javax.sound.sampled.AudioFormat;

public final class AudioData
{
    private static final AudioFormat DEFAULT_FORMAT;
    AudioFormat format;
    byte[] buffer;
    
    public AudioData(byte[] buf) {
        this(AudioData.DEFAULT_FORMAT, buf);
        try {
            AudioInputStream audioInputStream = AudioSystem.getAudioInputStream(new ByteArrayInputStream(buf));
            this.format = audioInputStream.getFormat();
            audioInputStream.close();
        }
        catch (IOException ex) {}
        catch (UnsupportedAudioFileException ex2) {}
    }
    
    AudioData(AudioFormat format, byte[] original) {
        this.format = format;
        if (original != null) {
            this.buffer = Arrays.copyOf(original, original.length);
        }
    }
    
    static {
        DEFAULT_FORMAT = new AudioFormat(AudioFormat.Encoding.ULAW, 8000.0f, 8, 1, 1, 8000.0f, true);
    }
}
